%define pkgver %(echo %version | tr _ -)
Name:          guvcview
Version:       2.2.1
Release:       2mamba
Summary:       A simple GTK interface for capturing and viewing video from devices supported by the linux UVC driver
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://guvcview.sourceforge.net/
Source:        https://sourceforge.net/projects/guvcview/files/source/guvcview-src-%{pkgver}.tar.bz2
Patch0:        guvcview-2.2.1-appdata-fix-p-tag.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libavcodec-devel
BuildRequires: libavutil-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgsl-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libportaudio-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libudev-devel
BuildRequires: libusb-devel
BuildRequires: libv4l-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A simple GTK interface for capturing and viewing video from devices supported by the linux UVC driver, although it should also work with any v4l2 compatible device.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n guvcview-src-%{version}
%patch 0 -p1

%build
%cmake

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --all-name

rm -rf %{buildroot}%{_datadir}/doc/guvcview

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/guvcview
%{_datadir}/applications/guvcview.desktop
%{_datadir}/appdata/guvcview.appdata.xml
%{_datadir}/pixmaps/guvcview.png
%{_mandir}/man1/guvcview.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgviewaudio.so.*
%{_libdir}/libgviewencoder.so.*
%{_libdir}/libgviewrender.so.*
%{_libdir}/libgviewv4l2core.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_libdir}/libgviewaudio.so
%{_libdir}/libgviewencoder.so
%{_libdir}/libgviewrender.so
%{_libdir}/libgviewv4l2core.so

%changelog
* Sun Mar 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- fix wrong _p tag in appdata file

* Mon Nov 25 2024 Automatic Build System <autodist@openmamba.org> 2.2.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 2.1.0-1mamba
- automatic version update by autodist

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.7_2-1mamba
- update to 2.0.7_2

* Tue Dec 11 2018 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Wed Mar 15 2017 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.3-2mamba
- ffmpeg 2.2 rebuild

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Thu Dec 12 2013 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Mon Jul 22 2013 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Dec 23 2012 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Fri Aug 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0-1mamba
- package created by autospec
